package ru.yandex.autotests.directapi.model.api5.ads;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

public class AdBuilderAdGetBaseMap <T> extends ModelBeanMap<AdBuilderAdGetBaseMap> {
    public static final String CREATIVE = "creative";

    public AdBuilderAdGetBaseMap() {
        super();
    }

    public T withCreative(AdBuilderAdGetItemMap map) {
        this.put(CREATIVE, map.getBean());
        return (T) this;
    }

}
